<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\DozentenInfo\DozentenUebersicht\DozentenUebersichtFilter;

abstract class DozentenUebersichtFilterView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  protected function getDefaultDataModulArray()
  {
    $dm = new \Datamodul();
    foreach (get_object_vars($this->viewModel) as $key => $value) {
      $dm->{$key} = $value;
    }

    return array($dm);
  }
}

class DozentenUebersichtFilterViewModel
{
  public $kategorieOptionen;
  public $sonderKategorieOptionen;
  public $aussenstellenOptionen;
  public $kursOrteOptionen;
  public $fachbereicheOptionen;
  public $kennzeichenOptionen;
  public $nichtKennzeichenOptionen;
  public $faecherOptionen;

  public $stichworte;
  public $kurstitel;
  public $kategorie;
  public $sonderKategorie;
  public $knrVon;
  public $knrBis;
  public $kursbeginnVon;
  public $kursbeginnBis;
  public $aussenstelle;
  public $kursort;
  public $fachbereich;
  public $wochentageNichtAngehakt;
  public $dozent;
  public $kurs_stichwort;
  public $fach;

  public $krit1;
  public $krit2;
  public $krit3;
  public $krit4;
  public $krit5;
  public $krit6;
  public $krit7;
  public $krit8;
  public $krit9;
  public $krit10;
  public $krit11;
  public $krit12;
  public $krit13;
  public $krit14;
  public $krit15;
  public $krit16;

  public $krit1hinterlegung = array();
  public $krit2hinterlegung = array();
  public $krit3hinterlegung = array();
  public $krit4hinterlegung = array();
  public $krit5hinterlegung = array();
  public $krit6hinterlegung = array();
  public $krit7hinterlegung = array();
  public $krit8hinterlegung = array();
  public $krit9hinterlegung = array();
  public $krit10hinterlegung = array();
  public $krit11hinterlegung = array();
  public $krit12hinterlegung = array();
  public $krit13hinterlegung = array();
  public $krit14hinterlegung = array();
  public $krit15hinterlegung = array();
  public $krit16hinterlegung = array();

  public $gemeinde;
  public $stadtteil;
  public $bezirk;
  public $bundesland;
}